# A/B Game

Simple choice game.

## Installation

0. Install `python3` (and `pip` if needed)
1. Clone the Repo into `/opt/ab/`
2. Put A/B questions in `ab.txt`
3. Set config variables in `config.ini`
4. Install requirements (`pip install -r requirements.txt`)

## Run

### Manual

1. Run `chmod +x game.py`
2. Run `./game.py`

Or just run `python3 ./game.py`

### As Service

0. Install `supervisord`
1. Copy `supervisor.conf` to `/etc/supervisor/conf.d/abgame.conf`
2. Reload supervisor (`supervisorctl reload`)

## Use

Open your browser and navigate to `http://localhost:5000` or whatever you configured as `bind` and `port` in your `config.ini`.
